/* Copyright (C) 2015 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */
//#include "plat_mux.h"
#include "osdrv_mmu.h"
#include "board_mux.h"

#ifndef _S3_APPL_CNFG_H
#define _S3_APPL_CNFG_H

#ifdef AM43XX_FAMILY_BUILD

PINMUX_config am437xIdkMux[] = {
		{CHIPDB_MOD_ID_PRU_ICSS,0,1},
		{CHIPDB_MOD_ID_PRU_ICSS,1,1},
		{CHIPDB_MOD_ID_EDMA3CC,1,0},
		{CHIPDB_MOD_ID_EDMA3TC,1,0},
		{CHIPDB_MOD_ID_EDMA3TC,2,0},
		{CHIPDB_MOD_ID_EDMA3TC,3,0},
		{CHIPDB_MOD_ID_UART,0,0},/*UART */
		{0xFFFFFFFF,0,0}
};


#endif

SYS_MMU_ENTRY applMmuEntries[] = {
    {(void*)0x30000000, SYS_MMU_CACHEABLE},  //QSPI CS0 Maddr1space - Cacheable
	{(void*)0x30100000, SYS_MMU_CACHEABLE},  //QSPI CS0 Maddr1space - Cacheable
	{(void*)0x30200000, SYS_MMU_CACHEABLE},  //QSPI CS0 Maddr1space - Cacheable
	{(void*)0x30300000, SYS_MMU_CACHEABLE},  //QSPI CS0 Maddr1space - Cacheable
    {(void*)0x44DF0000, SYS_MMU_BUFFERABLE},  //PRCM - Non Cacheable | Bufferable : Device
    {(void*)0x44E00000, SYS_MMU_BUFFERABLE},  //Clock Module, PRM, GPIO0, UART0, I2C0, Non Cacheable | Bufferable : Device
	{(void*)0x47900000, SYS_MMU_BUFFERABLE},  //QSPI MMR Maddr0space -Non Cacheable | Bufferable : Device
    {(void*)0x48000000, SYS_MMU_BUFFERABLE},  //UART1,UART2,I2C1,McSPI0,McASP0 CFG,McASP1 CFG,DMTIMER,GPIO1 - Non Cacheable | Bufferable Device
    {(void*)0x48100000,0},  //I2C2,McSPI1,UART3,UART4,UART5, GPIO2,GPIO3,MMC1 - Non Cacheable | Non Bufferable : Strongly Ordered
    {(void*)0x48200000, SYS_MMU_BUFFERABLE},  //Non Cacheable | Bufferable : Device
    {(void*)0x48300000, SYS_MMU_BUFFERABLE},  //PWM - Non Cacheable | Bufferable : Device
    {(void*)0x49000000, SYS_MMU_BUFFERABLE},   //EDMA3CC - Non Cacheable | Bufferable : Device
	{(void*)0x49800000,SYS_MMU_BUFFERABLE},  // EDMA in non-idle mode, Non bufferable| Non Cacheable
	{(void*)0x49900000,SYS_MMU_BUFFERABLE},  // EDMA in non-idle mode, Non bufferable| Non Cacheable
	{(void*)0x49A00000,SYS_MMU_BUFFERABLE},  // EDMA in non-idle mode, Non bufferable| Non Cacheable
    {(void*)0x4A000000, SYS_MMU_BUFFERABLE},  //L4 FAST CFG- Non Cacheable | Bufferable : Device
    {(void*)0x4A100000, SYS_MMU_BUFFERABLE},  //CPSW -Non Cacheable | Bufferable : Device
    {(void*)0x54400000, SYS_MMU_SHAREABLE | SYS_MMU_BUFFERABLE},  //PRU-ICSS0/1 -Non Cacheable | Bufferable : Shared Device
    {(void*)0xFFFFFFFF,0xFFFFFFFF}
};

#endif
